package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 信用人员对象 credit_user
 * 
 * @author boman
 * @date 2022-06-10
 */
public class CreditUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 姓名 */
    @Excel(name = "用户名称")
    private String userName;

    /** 信用分数 */
    @Excel(name = "信用评分")
    private String creditScore;

    /** 信用等级 */
    @Excel(name = "信用评级")
    private String creditLevel;

    /** 性别 */
    @Excel(name = "性别")
    private String gender;

    /** 年龄 */
    @Excel(name = "年龄")
    private Integer age;

    /** 身份证号码 */
    @Excel(name = "身份证号")
    private String idCard;

    /** 联系号码 */
    @Excel(name = "联系号码")
    private String phoneNum;

    /** 户籍地的省份 */
    private String provinceId;

    /** 户籍地的省份 */
    private String province;

    /** 户籍地的城市 */
    private String cityId;

    /** 户籍地的城市 */
    private String city;

    /** 户籍地的区 */
    private String regionId;

    /** 户籍地的区 */
    private String region;

    /** 户籍地的镇 */
    private String villageTownsId;

    /** 户籍地的镇 */
    private String villageTowns;

    /** 户籍地的村 */
    private String villageId;

    /** 户籍地的村 */
    private String village;

    /** 户籍地的组 */
    private String villagerGroupId;

    /** 户籍地的组 */
    private String villagerGroup;

    /** 户籍地址 */
    @Excel(name = "户籍地址")
    private String nowIn;

    /** 是否删除 */
    private String isDel;

    /** 删除原因 */
    private String deleteReason;


    /***
     * 开始时间
     */
    private String startTime;


    /***
     * 结束时间
     */
    private String endTime;

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getStartTime() {
        return startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setCreditScore(String creditScore) 
    {
        this.creditScore = creditScore;
    }

    public String getCreditScore() 
    {
        return creditScore;
    }
    public void setCreditLevel(String creditLevel) 
    {
        this.creditLevel = creditLevel;
    }

    public String getCreditLevel() 
    {
        return creditLevel;
    }
    public void setGender(String gender) 
    {
        this.gender = gender;
    }

    public String getGender() 
    {
        return gender;
    }
    public void setAge(Integer age) 
    {
        this.age = age;
    }

    public Integer getAge() 
    {
        return age;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setPhoneNum(String phoneNum) 
    {
        this.phoneNum = phoneNum;
    }

    public String getPhoneNum() 
    {
        return phoneNum;
    }
    public void setProvinceId(String provinceId) 
    {
        this.provinceId = provinceId;
    }

    public String getProvinceId() 
    {
        return provinceId;
    }
    public void setProvince(String province) 
    {
        this.province = province;
    }

    public String getProvince() 
    {
        return province;
    }
    public void setCityId(String cityId) 
    {
        this.cityId = cityId;
    }

    public String getCityId() 
    {
        return cityId;
    }
    public void setCity(String city) 
    {
        this.city = city;
    }

    public String getCity() 
    {
        return city;
    }
    public void setRegionId(String regionId) 
    {
        this.regionId = regionId;
    }

    public String getRegionId() 
    {
        return regionId;
    }
    public void setRegion(String region) 
    {
        this.region = region;
    }

    public String getRegion() 
    {
        return region;
    }
    public void setVillageTownsId(String villageTownsId) 
    {
        this.villageTownsId = villageTownsId;
    }

    public String getVillageTownsId() 
    {
        return villageTownsId;
    }
    public void setVillageTowns(String villageTowns) 
    {
        this.villageTowns = villageTowns;
    }

    public String getVillageTowns() 
    {
        return villageTowns;
    }
    public void setVillageId(String villageId) 
    {
        this.villageId = villageId;
    }

    public String getVillageId() 
    {
        return villageId;
    }
    public void setVillage(String village) 
    {
        this.village = village;
    }

    public String getVillage() 
    {
        return village;
    }
    public void setVillagerGroupId(String villagerGroupId) 
    {
        this.villagerGroupId = villagerGroupId;
    }

    public String getVillagerGroupId() 
    {
        return villagerGroupId;
    }
    public void setVillagerGroup(String villagerGroup) 
    {
        this.villagerGroup = villagerGroup;
    }

    public String getVillagerGroup() 
    {
        return villagerGroup;
    }
    public void setNowIn(String nowIn) 
    {
        this.nowIn = nowIn;
    }

    public String getNowIn() 
    {
        return nowIn;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }
    public void setDeleteReason(String deleteReason) 
    {
        this.deleteReason = deleteReason;
    }

    public String getDeleteReason() 
    {
        return deleteReason;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userName", getUserName())
            .append("creditScore", getCreditScore())
            .append("creditLevel", getCreditLevel())
            .append("gender", getGender())
            .append("age", getAge())
            .append("idCard", getIdCard())
            .append("phoneNum", getPhoneNum())
            .append("provinceId", getProvinceId())
            .append("province", getProvince())
            .append("cityId", getCityId())
            .append("city", getCity())
            .append("regionId", getRegionId())
            .append("region", getRegion())
            .append("villageTownsId", getVillageTownsId())
            .append("villageTowns", getVillageTowns())
            .append("villageId", getVillageId())
            .append("village", getVillage())
            .append("villagerGroupId", getVillagerGroupId())
            .append("villagerGroup", getVillagerGroup())
            .append("nowIn", getNowIn())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .append("deleteReason", getDeleteReason())
            .toString();
    }
}
